<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (20) on Sun May 07 12:32:12 CEST 2023 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-05-07">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><a href="Score.html#ajoute(int)" class="member-name-link">ajoute(int)</a> - Method in class <a href="Score.html" title="class in Unnamed Package">Score</a></dt>
<dd>&nbsp;</dd>
<dt><a href="EnsembleChaines.html#ajouteChaine(int,int,java.lang.String)" class="member-name-link">ajouteChaine(int, int, String)</a> - Method in class <a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></dt>
<dd>&nbsp;</dd>
<dt><a href="EnsembleChaines.html#ajouteChaine(int,int,java.lang.String,javafx.scene.paint.Color)" class="member-name-link">ajouteChaine(int, int, String, Color)</a> - Method in class <a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Score.html#ajoutePointsParVie()" class="member-name-link">ajoutePointsParVie()</a> - Method in class <a href="Score.html" title="class in Unnamed Package">Score</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Alien.html" class="type-name-link" title="class in Unnamed Package">Alien</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Alien.html#%3Cinit%3E(double,double,int)" class="member-name-link">Alien(double, double, int)</a> - Constructor for class <a href="Alien.html" title="class in Unnamed Package">Alien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV2.html" class="type-name-link" title="class in Unnamed Package">AlienV2</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV2.html#%3Cinit%3E(double,double,int)" class="member-name-link">AlienV2(double, double, int)</a> - Constructor for class <a href="AlienV2.html" title="class in Unnamed Package">AlienV2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html" class="type-name-link" title="class in Unnamed Package">AlienV3</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html#%3Cinit%3E(double,double,int)" class="member-name-link">AlienV3(double, double, int)</a> - Constructor for class <a href="AlienV3.html" title="class in Unnamed Package">AlienV3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html" class="type-name-link" title="class in Unnamed Package">AlienV4</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html#%3Cinit%3E(double,double,int)" class="member-name-link">AlienV4(double, double, int)</a> - Constructor for class <a href="AlienV4.html" title="class in Unnamed Package">AlienV4</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:B">B</h2>
<dl class="index">
<dt><a href="Boss.html" class="type-name-link" title="class in Unnamed Package">Boss</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#%3Cinit%3E(double,double,int)" class="member-name-link">Boss(double, double, int)</a> - Constructor for class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="ChainePositionnee.html" class="type-name-link" title="class in Unnamed Package">ChainePositionnee</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ChainePositionnee.html#%3Cinit%3E(int,int,java.lang.String)" class="member-name-link">ChainePositionnee(int, int, String)</a> - Constructor for class <a href="ChainePositionnee.html" title="class in Unnamed Package">ChainePositionnee</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ChainePositionnee.html#%3Cinit%3E(int,int,java.lang.String,javafx.scene.paint.Color)" class="member-name-link">ChainePositionnee(int, int, String, Color)</a> - Constructor for class <a href="ChainePositionnee.html" title="class in Unnamed Package">ChainePositionnee</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Alien.html#contient(int,int)" class="member-name-link">contient(int, int)</a> - Method in class <a href="Alien.html" title="class in Unnamed Package">Alien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV2.html#contient(int,int)" class="member-name-link">contient(int, int)</a> - Method in class <a href="AlienV2.html" title="class in Unnamed Package">AlienV2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html#contient(int,int)" class="member-name-link">contient(int, int)</a> - Method in class <a href="AlienV3.html" title="class in Unnamed Package">AlienV3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html#contient(int,int)" class="member-name-link">contient(int, int)</a> - Method in class <a href="AlienV4.html" title="class in Unnamed Package">AlienV4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#contient(int,int)" class="member-name-link">contient(int, int)</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="EnsembleChaines.html#contient(int,int)" class="member-name-link">contient(int, int)</a> - Method in class <a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Vaisseau.html#contient(int,int)" class="member-name-link">contient(int, int)</a> - Method in class <a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><a href="Vaisseau.html#deplace(double)" class="member-name-link">deplace(double)</a> - Method in class <a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><a href="EnsembleChaines.html" class="type-name-link" title="class in Unnamed Package">EnsembleChaines</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="EnsembleChaines.html#%3Cinit%3E()" class="member-name-link">EnsembleChaines()</a> - Constructor for class <a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Alien.html#evolue()" class="member-name-link">evolue()</a> - Method in class <a href="Alien.html" title="class in Unnamed Package">Alien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV2.html#evolue()" class="member-name-link">evolue()</a> - Method in class <a href="AlienV2.html" title="class in Unnamed Package">AlienV2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html#evolue()" class="member-name-link">evolue()</a> - Method in class <a href="AlienV3.html" title="class in Unnamed Package">AlienV3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html#evolue()" class="member-name-link">evolue()</a> - Method in class <a href="AlienV4.html" title="class in Unnamed Package">AlienV4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#evolue()" class="member-name-link">evolue()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Projectile.html#evolue()" class="member-name-link">evolue()</a> - Method in class <a href="Projectile.html" title="class in Unnamed Package">Projectile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ProjectileAlien.html#evolue()" class="member-name-link">evolue()</a> - Method in class <a href="ProjectileAlien.html" title="class in Unnamed Package">ProjectileAlien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Executable.html" class="type-name-link" title="class in Unnamed Package">Executable</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Executable.html#%3Cinit%3E()" class="member-name-link">Executable()</a> - Constructor for class <a href="Executable.html" title="class in Unnamed Package">Executable</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="GameOver.html" class="type-name-link" title="class in Unnamed Package">GameOver</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GameOver.html#%3Cinit%3E(double,double)" class="member-name-link">GameOver(double, double)</a> - Constructor for class <a href="GameOver.html" title="class in Unnamed Package">GameOver</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GestionJeu.html" class="type-name-link" title="class in Unnamed Package">GestionJeu</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GestionJeu.html#%3Cinit%3E()" class="member-name-link">GestionJeu()</a> - Constructor for class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GestionJeu.html#getChaines()" class="member-name-link">getChaines()</a> - Method in class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Alien.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Alien.html" title="class in Unnamed Package">Alien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV2.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="AlienV2.html" title="class in Unnamed Package">AlienV2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="AlienV3.html" title="class in Unnamed Package">AlienV3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="AlienV4.html" title="class in Unnamed Package">AlienV4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GameOver.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="GameOver.html" title="class in Unnamed Package">GameOver</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau1.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Niveau1.html" title="class in Unnamed Package">Niveau1</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau2.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Niveau2.html" title="class in Unnamed Package">Niveau2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau3.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Niveau3.html" title="class in Unnamed Package">Niveau3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau4.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Niveau4.html" title="class in Unnamed Package">Niveau4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau5.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Niveau5.html" title="class in Unnamed Package">Niveau5</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Projectile.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Projectile.html" title="class in Unnamed Package">Projectile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ProjectileAlien.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="ProjectileAlien.html" title="class in Unnamed Package">ProjectileAlien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Score.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Score.html" title="class in Unnamed Package">Score</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Vaisseau.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Win.html#getEnsembleChaines()" class="member-name-link">getEnsembleChaines()</a> - Method in class <a href="Win.html" title="class in Unnamed Package">Win</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GameOver.html#getGameOver()" class="member-name-link">getGameOver()</a> - Method in class <a href="GameOver.html" title="class in Unnamed Package">GameOver</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GestionJeu.html#getHauteur()" class="member-name-link">getHauteur()</a> - Method in class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GestionJeu.html#getLargeur()" class="member-name-link">getLargeur()</a> - Method in class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Vaisseau.html#getPosX()" class="member-name-link">getPosX()</a> - Method in class <a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Score.html#getScore()" class="member-name-link">getScore()</a> - Method in class <a href="Score.html" title="class in Unnamed Package">Score</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Win.html#getScore()" class="member-name-link">getScore()</a> - Method in class <a href="Win.html" title="class in Unnamed Package">Win</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#getVie()" class="member-name-link">getVie()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Score.html#getVie()" class="member-name-link">getVie()</a> - Method in class <a href="Score.html" title="class in Unnamed Package">Score</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Projectile.html#getX()" class="member-name-link">getX()</a> - Method in class <a href="Projectile.html" title="class in Unnamed Package">Projectile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ProjectileAlien.html#getX()" class="member-name-link">getX()</a> - Method in class <a href="ProjectileAlien.html" title="class in Unnamed Package">ProjectileAlien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Alien.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="Alien.html" title="class in Unnamed Package">Alien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV2.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="AlienV2.html" title="class in Unnamed Package">AlienV2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="AlienV3.html" title="class in Unnamed Package">AlienV3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="AlienV4.html" title="class in Unnamed Package">AlienV4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Projectile.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="Projectile.html" title="class in Unnamed Package">Projectile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ProjectileAlien.html#getY()" class="member-name-link">getY()</a> - Method in class <a href="ProjectileAlien.html" title="class in Unnamed Package">ProjectileAlien</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html#getYCanon()" class="member-name-link">getYCanon()</a> - Method in class <a href="AlienV3.html" title="class in Unnamed Package">AlienV3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html#getYCanon()" class="member-name-link">getYCanon()</a> - Method in class <a href="AlienV4.html" title="class in Unnamed Package">AlienV4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#getYCanon()" class="member-name-link">getYCanon()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:J">J</h2>
<dl class="index">
<dt><a href="GestionJeu.html#jouerUnTour()" class="member-name-link">jouerUnTour()</a> - Method in class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="Executable.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class <a href="Executable.html" title="class in Unnamed Package">Executable</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:N">N</h2>
<dl class="index">
<dt><a href="Niveau1.html" class="type-name-link" title="class in Unnamed Package">Niveau1</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau1.html#%3Cinit%3E(double,double)" class="member-name-link">Niveau1(double, double)</a> - Constructor for class <a href="Niveau1.html" title="class in Unnamed Package">Niveau1</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau2.html" class="type-name-link" title="class in Unnamed Package">Niveau2</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau2.html#%3Cinit%3E(double,double)" class="member-name-link">Niveau2(double, double)</a> - Constructor for class <a href="Niveau2.html" title="class in Unnamed Package">Niveau2</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau3.html" class="type-name-link" title="class in Unnamed Package">Niveau3</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau3.html#%3Cinit%3E(double,double)" class="member-name-link">Niveau3(double, double)</a> - Constructor for class <a href="Niveau3.html" title="class in Unnamed Package">Niveau3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau4.html" class="type-name-link" title="class in Unnamed Package">Niveau4</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau4.html#%3Cinit%3E(double,double)" class="member-name-link">Niveau4(double, double)</a> - Constructor for class <a href="Niveau4.html" title="class in Unnamed Package">Niveau4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau5.html" class="type-name-link" title="class in Unnamed Package">Niveau5</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Niveau5.html#%3Cinit%3E(double,double)" class="member-name-link">Niveau5(double, double)</a> - Constructor for class <a href="Niveau5.html" title="class in Unnamed Package">Niveau5</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><a href="Boss.html#perd(int)" class="member-name-link">perd(int)</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Score.html#perd(int)" class="member-name-link">perd(int)</a> - Method in class <a href="Score.html" title="class in Unnamed Package">Score</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV3.html#positionCanon()" class="member-name-link">positionCanon()</a> - Method in class <a href="AlienV3.html" title="class in Unnamed Package">AlienV3</a></dt>
<dd>&nbsp;</dd>
<dt><a href="AlienV4.html#positionCanon()" class="member-name-link">positionCanon()</a> - Method in class <a href="AlienV4.html" title="class in Unnamed Package">AlienV4</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Vaisseau.html#positionCanon()" class="member-name-link">positionCanon()</a> - Method in class <a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#positionCanon1()" class="member-name-link">positionCanon1()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#positionCanon2()" class="member-name-link">positionCanon2()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#positionCanon3()" class="member-name-link">positionCanon3()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Boss.html#positionCanon4()" class="member-name-link">positionCanon4()</a> - Method in class <a href="Boss.html" title="class in Unnamed Package">Boss</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Projectile.html" class="type-name-link" title="class in Unnamed Package">Projectile</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Projectile.html#%3Cinit%3E(double,double)" class="member-name-link">Projectile(double, double)</a> - Constructor for class <a href="Projectile.html" title="class in Unnamed Package">Projectile</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ProjectileAlien.html" class="type-name-link" title="class in Unnamed Package">ProjectileAlien</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ProjectileAlien.html#%3Cinit%3E(double,double)" class="member-name-link">ProjectileAlien(double, double)</a> - Constructor for class <a href="ProjectileAlien.html" title="class in Unnamed Package">ProjectileAlien</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="Score.html" class="type-name-link" title="class in Unnamed Package">Score</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Score.html#%3Cinit%3E()" class="member-name-link">Score()</a> - Constructor for class <a href="Score.html" title="class in Unnamed Package">Score</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GameOver.html#setGameOver()" class="member-name-link">setGameOver()</a> - Method in class <a href="GameOver.html" title="class in Unnamed Package">GameOver</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Executable.html#start(javafx.stage.Stage)" class="member-name-link">start(Stage)</a> - Method in class <a href="Executable.html" title="class in Unnamed Package">Executable</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><a href="GestionJeu.html#toucheDroite()" class="member-name-link">toucheDroite()</a> - Method in class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GestionJeu.html#toucheEspace()" class="member-name-link">toucheEspace()</a> - Method in class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="GestionJeu.html#toucheGauche()" class="member-name-link">toucheGauche()</a> - Method in class <a href="GestionJeu.html" title="class in Unnamed Package">GestionJeu</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:U">U</h2>
<dl class="index">
<dt><a href="EnsembleChaines.html#union(EnsembleChaines)" class="member-name-link">union(EnsembleChaines)</a> - Method in class <a href="EnsembleChaines.html" title="class in Unnamed Package">EnsembleChaines</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:V">V</h2>
<dl class="index">
<dt><a href="Vaisseau.html" class="type-name-link" title="class in Unnamed Package">Vaisseau</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Vaisseau.html#%3Cinit%3E(double)" class="member-name-link">Vaisseau(double)</a> - Constructor for class <a href="Vaisseau.html" title="class in Unnamed Package">Vaisseau</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:W">W</h2>
<dl class="index">
<dt><a href="Win.html" class="type-name-link" title="class in Unnamed Package">Win</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Win.html#%3Cinit%3E(double,double,int)" class="member-name-link">Win(double, double, int)</a> - Constructor for class <a href="Win.html" title="class in Unnamed Package">Win</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
